option(SIONlib_DEVELOPER_CLANG_TIDY "Run clang-tidy on sources" OFF)
if(SIONlib_DEVELOPER_CLANG_TIDY)
  if(NOT SIONlib_DEVELOPER_CLANG_TIDY_EXECUTABLE)
    find_program(SIONlib_DEVELOPER_CLANG_TIDY_EXECUTABLE NAMES "clang-tidy" DOC "Path to clang-tidy executable" REQUIRED)
  endif()
endif()

option(SIONlib_DEVELOPER_COVERAGE_GCOV "Compile with gcov support and collect coverage from test suite" OFF)
if(SIONlib_DEVELOPER_COVERAGE_GCOV)
  include(CheckCSourceCompiles)
  set(CMAKE_REQUIRED_FLAGS "--coverage")
  set(CMAKE_REQUIRED_LINK_OPTIONS "--coverage")
  check_c_source_compiles("int main(void) { return 0; }" coverage_flag)
  if(NOT coverage_flag)
    message(FATAL_ERROR "--coverage not supported by compiler")
  endif()
endif()
