find_path(IMENative_INCLUDE_DIR ime_native.h PATHS /opt/ddn/ime/include)
find_library(IMENative_LIBRARY im_client PATHS /opt/ddn/ime/lib)
mark_as_advanced(IMENative_INCLUDE_DIR IMENative_LIBRARY)

include(FindPackageHandleStandardArgs)
find_package_handle_standard_args(IMENative
  REQUIRED_VARS IMENative_LIBRARY IMENative_INCLUDE_DIR
)

if(IMENative_FOUND AND NOT TARGET IMENative::client)
  add_library(IMENative::client UNKNOWN IMPORTED)
  set_target_properties(IMENative::client PROPERTIES
    IMPORTED_LINK_INTERFACE_LANGUAGES "C"
    IMPORTED_LOCATION "${IMENative_LIBRARY}"
    INTERFACE_INCLUDE_DIRECTORIES "${IMENative_INCLUDE_DIR}"
  )
endif()
