# -*- python -*-
#
#  SIONLIB     http://www.fz-juelich.de/jsc/sionlib
#
#  Copyright (c) 2014-2021
#  Forschungszentrum Juelich, Juelich Supercomputing Centre
#
#  See the file COPYRIGHT in the package base directory for details
#
from distutils.core import setup
from distutils.extension import Extension
from Cython.Build import cythonize

extensions = [
    Extension(
        "sioninter",
        ["sioninter.pyx"],
        libraries=[
            "mpi",
            "sionmpi_64",
            "siongen_64",
            "sionser_64",
            "sioncom_64",
            "sioncom_64_lock_none"
        ]
    )
]

setup(ext_modules=cythonize(extensions))
