find_path(GPFS_INCLUDE_DIR gpfs_fcntl.h PATHS /usr/lpp/mmfs/include)
find_library(GPFS_LIBRARY gpfs PATHS /usr/lpp/mmfs/lib)
mark_as_advanced(GPFS_INCLUDE_DIR GPFS_LIBRARY)

include(FindPackageHandleStandardArgs)
find_package_handle_standard_args(GPFS
  REQUIRED_VARS GPFS_LIBRARY GPFS_INCLUDE_DIR
)

if(GPFS_FOUND AND NOT TARGET GPFS::GPFS)
  add_library(GPFS::GPFS UNKNOWN IMPORTED)
  set_target_properties(GPFS::GPFS PROPERTIES
    IMPORTED_LINK_INTERFACE_LANGUAGES "C"
    IMPORTED_LOCATION "${GPFS_LIBRARY}"
    INTERFACE_INCLUDE_DIRECTORIES "${GPFS_INCLUDE_DIR}"
  )
endif()
