/****************************************************************************
**  SIONLIB     http://www.fz-juelich.de/jsc/sionlib                       **
*****************************************************************************
**  Copyright (c) 2008-2021                                                **
**  Forschungszentrum Juelich, Juelich Supercomputing Centre               **
**                                                                         **
**  See the file COPYRIGHT in the package base directory for details       **
****************************************************************************/

#define _XOPEN_SOURCE 700

#include <stdio.h>
#include <sys/time.h>

#include "sion_printts.h"

double _sion_get_time(void)
{
  struct timeval tp;
  gettimeofday(&tp, (struct timezone *)NULL);
  return tp.tv_sec + tp.tv_usec / 1000000.0;
}
